
#include <SPI.h>
#include <e-ink-2.90.h>
#include <e-ink-display.h>
#include "imagedata.h"

#define COLORED     0
#define UNCOLORED   1
unsigned char image[1024];
Paint paint(image, 0, 0);    // width should be the multiple of 8 
Epd epd;

void setup() {
  Serial.begin(9600);
  if (epd.Init(lut_full_update) != 0)
  {
      Serial.print("e-Paper init failed");
      return;
  }

  epd.ClearFrameMemory(0xFF);   // bit set = white, bit reset = black
  epd.DisplayFrame();
  epd.ClearFrameMemory(0xFF);   // bit set = white, bit reset = black
  epd.DisplayFrame();
  delay(2000);
  
  if (epd.Init(lut_partial_update) != 0) {
      Serial.print("e-Paper init failed");
      return;
  }
}

void loop() {
  epd.SetFrameMemory(IMAGE);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE);
  epd.DisplayFrame();
  delay(1000);

  paint.SetWidth(24);   /*设置区域的大小*/
  paint.SetHeight(128);
  paint.SetRotate(ROTATE_270);   /*旋转文字的方向*/
  paint.Clear(COLORED);          /*将区域显示为黑色*/
  paint.DrawStringAt(10,8, "E-INK-2.90", &Font16, UNCOLORED);     /*设置文字的位置*/
  epd.SetFrameMemory(paint.GetImage(), 50,90, paint.GetWidth(), paint.GetHeight());    /*设置区域的位置*/
  epd.DisplayFrame();
  delay(1000);
}

